/****************************************************************************************************

		BitMapRenderable.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	8/25/2005

****************************************************************************************************/

#ifndef __BitMapRenderable__
#define __BitMapRenderable__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "CountedRenderable.h"

class TBitMapRenderable : public TCountedRenderable
{
public:
	static void Create(TBitMapRenderable ** renderable,TMCPixelBucket* pixelBucket,const TMCRect& rect);

protected:
	TBitMapRenderable(TMCPixelBucket* pixelBucket,const TMCRect& rect);
	virtual ~TBitMapRenderable();

public:
	// I3DShRenderable methods
	I3DShRenderable::EType		MCCOMAPI GetGeometryType() const;
	const TMCPixelBucket*		MCCOMAPI GetPixelBucket(TMCRect& rect) const;


protected:
	TMCPtr<TMCPixelBucket>	fPixelBucket;
	TMCRect					fRect;
};


#endif
